define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	require("./dist/echarts-all");

	var Model = function() {
		this.callParent();
	};

	Model.prototype.modelLoad = function(event) {
		// var myChart = echarts.init(this.getElementByXid('main'));
		// myChart.setOption(option);
		this.echars_A();
		this.echars_B();
		this.echars_shouer();
	};
	Model.prototype.echars_shouer = function() {
		// var myChart_10 = echarts.init(this.getElementByXid('div10'));
		// var myChart_11 = echarts.init(this.getElementByXid('div11'));
		var myChart_18 = echarts.init(this.getElementByXid('div18'));
		// myChart_10.showLoading();
		// myChart_11.showLoading();
		myChart_18.showLoading();
	}

	Model.prototype.echars_B = function() {
		option = {
			// title : {
			// text : '某站点用户访问来源',
			// subtext : '纯属虚构',
			// x : 'center'
			// },
			tooltip : {
				trigger : 'item',
				formatter : "{a} <br/>{b} : {c} ({d}%)"
			},
			legend : {
				orient : 'horizontal',
				left : 'left',
				data : [ '沈阳市夜荷保健品专柜', '鞍山市宏源水务治理商', '威海市农产品经销商', '上海市誉银生态研究所', '长春市余芎生物科技' ]
			},
			series : [ {
				name : '访问来源',
				type : 'pie',
				radius : '55%',
				center : [ '50%', '60%' ],
				data : [ {
					value : 335,
					name : '沈阳市夜荷保健品专柜'
				}, {
					value : 310,
					name : '鞍山市宏源水务治理商'
				}, {
					value : 234,
					name : '威海市农产品经销商'
				}, {
					value : 135,
					name : '上海市誉银生态研究所'
				}, {
					value : 1548,
					name : '长春市余芎生物科技'
				} ],
				itemStyle : {
					emphasis : {
						shadowBlur : 10,
						shadowOffsetX : 0,
						shadowColor : 'rgba(0, 0, 0, 0.5)'
					}
				}
			} ],
			color : [ '#ff5b57', '#f59c1a', '#00acac', '#348fe2', '#b6c2c9', '#2d353c' ]
		};

		var myChart = echarts.init(this.getElementByXid('main2'));
		myChart.setOption(option);
	};

	Model.prototype.echars_A = function() {
		var myChart = echarts.init(this.getElementByXid('main'));
		option = {
			title : {
			// text: '折线图堆叠'
			},
			tooltip : {
				trigger : 'axis'
			},
			legend : {
				data : [ '保健品检测', '水质检测', '农药检测', '蛋白质多肽检测', '微生物·菌类检测' ]
			},
			grid : {
				left : '3%',
				right : '4%',
				bottom : '3%',
				containLabel : true
			},
			toolbox : {
				feature : {
					saveAsImage : {}
				}
			},
			xAxis : {
				type : 'category',
				boundaryGap : false,
				data : [ '周一', '周二', '周三', '周四', '周五', '周六', '周日' ],
				axisLine : {
					lineStyle : {
						color : '#999'
					}
				}
			},

			yAxis : {
				type : 'value',
				axisLine : {
					lineStyle : {
						color : '#999'
					}
				}
			},
			series : [ {
				name : '保健品检测',
				type : 'line',
				stack : '总量',
				data : [ 30, 26, 10, 5, 9, 23, 29 ]
			}, {
				name : '水质检测',
				type : 'line',
				stack : '总量',
				data : [ 22, 15, 19, 43, 29, 13, 31 ]
			}, {
				name : '农药检测',
				type : 'line',
				stack : '总量',
				data : [ 5, 43, 20, 15, 39, 30, 41 ]
			}, {
				name : '蛋白质多肽检测',
				type : 'line',
				stack : '总量',
				data : [ 32, 73, 30, 35, 59, 35, 32 ]
			}, {
				name : '微生物·菌类检测',
				type : 'line',
				stack : '总量',
				data : [ 62, 73, 70, 93, 129, 111, 132 ]
			} ],
			color : [ '#ff5b57', '#f59c1a', '#00acac', '#348fe2', '#b6c2c9', '#2d353c' ]
		};

		var myChart = echarts.init(this.getElementByXid('main'));
		myChart.setOption(option);
	};

	Model.prototype.div3Click = function(event) {
		this.echars_A();
	};
	
	Model.prototype.div5Click = function(event) {
		this.echars_B();
	};

	Model.prototype.col14Click = function(event) {
		// alert("你点了第一个我");
	};

	Model.prototype.col15Click = function(event) {
		// alert("你点了第二个我");
	};

	Model.prototype.col16Click = function(event) {
		// alert("你点了第三个我");
	};

	Model.prototype.button1Click = function(event) {
		this.comp("contents1").to("content4");
	};

	Model.prototype.button2Click = function(event) {
		this.comp("contents1").to("content5");
	};

	return Model;
});